package com.yonge.cooleshow.auth.api.client.fallback;

import java.util.List;

import com.yonge.cooleshow.auth.api.dto.RealnameAuthReq;
import com.yonge.cooleshow.auth.api.dto.SysUserQueryInfo;
import com.yonge.toolset.utils.idcard.IdcardInfoExtractor;
import org.springframework.stereotype.Component;

import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

@Component
public class SysUserFeignServiceFallback implements SysUserFeignService {

	@Override
	public SysUser queryUserById(Long userId) {
		return null;
	}

	@Override
	public SysUser queryUserInfo() {
		return null;
	}

	@Override
	public SysUser queryUserByMobile(String mobile) {
		return null;
	}

	public HttpResponseResult<Long> add(SysUser user){
		return null;
	}

	@Override
	public HttpResponseResult<Integer> update(SysUser user) {
		return null;
	}

	@Override
	public List<String> queryRoleCodeListByUserId(Long userId) {
		return null;
	}

	@Override
	public HttpResponseResult<Boolean> updateSysUser(SysUser user) {
		return HttpResponseResult.failed("请求失败");
	}

	@Override
	public HttpResponseResult<String> exitByPhone(String clientId, String phone) {
		return null;
	}

	@Override
	public HttpResponseResult<IdcardInfoExtractor> realNameAuth(RealnameAuthReq realNameAuthDto) {
		return null;
	}

	@Override
	public HttpResponseResult<Boolean> bindOpenId(SysUser user) {
		return HttpResponseResult.failed("请求失败");
	}

	@Override
	public HttpResponseResult refreshToken(String refreshToken, String clientId, String clientSecret) {
		return HttpResponseResult.failed("请求失败");
	}

	@Override
	public HttpResponseResult<String> logout() {
		return HttpResponseResult.failed("请求失败");
	}


	@Override
	public HttpResponseResult<List<SysUser>> page(SysUserQueryInfo queryInfo) {
		return HttpResponseResult.failed("请求失败");
	}

}
